// pages/addCard/index.js
import { customRequest } from '../../utils/request.js';
const app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    iosDialog1: false,
    user: {},
    bankArray: [],
  },
  showDialog () {
    this.setData({
      iosDialog1: true
    })
  },
  close: function () {
    this.setData({
      iosDialog1: false
    })
  },
  emptyMethod: function () {
    wx.navigateTo({
      url: '/pages/realName1/index',
    })

  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.setData({
      user: app.globalData.user,
    });
    this.getUserBankList();
  },
  getUserBankList: function () {
    var that = this;
    customRequest('/user/bank/getUserBankList', { header: 'headers', method: 'GET', data: {} }).then((res) => {
      if (res.data.status == 200) {
        if (app.isNotEmptyCheck(res.data.data) && res.data.data.length > 0) {
          res.data.data.forEach(item => {
            if (app.isNotEmptyCheck(item.bankNo) && item.bankNo.length > 4) {
              item.bankNo = '****' + item.bankNo.substring(item.bankNo.length - 4);
            } else {
              item.bankNo = '';
            }
            if (app.isEmptyCheck(item.bankLogo)) {
              item.bankLogo = 'http://matripe.oss-cn-beijing.aliyuncs.com/bankCard.png';
            }
          });
        }
        that.setData({
          bankArray: res.data.data,
        });

      } else {
        app.showTips(that, res.data.msg);
      }
    })
    // wx.request({
    //   url: app.globalData.ip + '/user/bank/getUserBankList',
    //   data: {},
    //   header: app.globalData.headers,
    //   method: "GET",
    //   success: function (res) {
    //     console.log(res);

    //   }
    // })
  },

  toCardDetail: function (e) {
    var item = e.currentTarget.dataset.item;

    try {
      wx.setStorageSync('storageSyncBankDetail', item)
    } catch (e) {
      console.log('设置银行卡详情缓存错误', e);
    }

    wx.navigateTo({
      url: '/pages/cardDetail/index',
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
    this.setData({
      iosDialog1: false
    })
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {
  return app.sharePageImage()
},
})